## org.hibernate.bytecode.buildtime.spi
Interface ClassFilter

All Known Implementing Classes:
  BasicClassFilter

    public interface ClassFilter

Used to determine whether a class should be instrumented.

Method Summary
`boolean` `shouldInstrumentClass(String className)` Should this class be included in instrumentation

Method Detail

### shouldInstrumentClass

    boolean shouldInstrumentClass(String className)

  Should this class be included in instrumentation

  Parameters:
    `className` - The name of the class to check
  Returns:
    true to include class in instrumentation; false otherwise.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.